summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMCApollo <34170230+MCApollo@users.noreply.github.com>2019-11-10 00:11:16 -0800
committerNico Williams <nico@cryptonector.com>2019-12-30 17:48:45 -0600
commit839316e66b6bedd177935a436db5d622eae86204 (patch)
treee544e8cf4b1267bbf93bcdb812da91187505b551
parentd235e97f5eb085689c40dfae49dc5a6e72c7bc54 (diff)
compile-ios.sh: realpath is not a default command.
-rwxr-xr-xcompile-ios.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/compile-ios.sh b/compile-ios.sh
index 8bbf3b54..dd7ba2ad 100755
--- a/compile-ios.sh
+++ b/compile-ios.sh
@@ -46,7 +46,7 @@ CC_="$(xcrun -f clang || echo clang)"
onig_url="https://github.com/kkos/oniguruma/releases/download/v${oniguruma}/onig-${oniguruma}.tar.gz"
builddir="${TMPDIR:-/tmp}/${RANDOM:-'xxxxx'}-compile-ios-build"
-cwd="$(realpath ${PWD})"
+cwd="$(realpath ${PWD} 2>/dev/null || echo ${PWD})"
t_exit() {
cat << EOF